For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a new supplier

Create a new supplier.

Required permissions: SUPPLIER

post
/tenants/{tenantUid}/suppliers
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
addressstringOptional
citystringOptional
contactEmailstringOptional
contactNamestringOptional
countryCodestringOptional
emailstringOptional
externalIdstringOptional
namestringRequired
phonestringOptional
postalCodestringOptional
vatNumberstringOptional

VAT identification number for value added tax reporting purposes.

activebooleanOptional
fixedDiscountRateintegerOptional
currencystringOptional

ISO 4217 code

freightPercentageintegerOptional
representedStoreUidstringOptionalPattern: ^[A-Za-z0-9-_]*
supplierUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
addressstringRequired
citystringRequired
contactEmailstringRequired
contactNamestringRequired
countryCodestringRequired
createdAtstring · date-timeRequired
emailstringRequired
externalIdstringRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
phonestringRequired
postalCodestringRequired
supplierUidstringRequiredPattern: ^[A-Za-z0-9-_]+
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

activebooleanRequired
fixedDiscountRateintegerRequired
currencystringRequired

ISO 4217 code

freightPercentageintegerRequired
representedStoreUidstringOptionalPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/suppliers
POST /v2/tenants/{tenantUid}/suppliers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 435

{
  "address": "text",
  "city": "text",
  "contactEmail": "text",
  "contactName": "text",
  "countryCode": "text",
  "email": "text",
  "externalId": "text",
  "name": "text",
  "phone": "text",
  "postalCode": "text",
  "vatNumber": "text",
  "active": true,
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text",
    "giroAccountNumber": "text"
  },
  "fixedDiscountRate": 1,
  "currency": "text",
  "freightPercentage": 1,
  "representedStoreUid": "text",
  "supplierUid": "text"
}
200

Example response

{
  "address": "text",
  "city": "text",
  "contactEmail": "text",
  "contactName": "text",
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "email": "text",
  "externalId": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "phone": "text",
  "postalCode": "text",
  "supplierUid": "text",
  "vatNumber": "text",
  "active": true,
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text",
    "giroAccountNumber": "text"
  },
  "fixedDiscountRate": 1,
  "currency": "text",
  "freightPercentage": 1,
  "representedStoreUid": "text"
}

Last updated

Was this helpful?